Subject: Re: CVS and cygwin1.dll v1.3.4-4: Can not set CVSROOT to :local: repository now ?! ...
From: Mark Himsley <[email-masked]>
To: "Alexei Lioubimov" <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 13 Nov 2001 17:31:24 +0000

On Tue, 13 Nov 2001 20:03:27 +0300 you wrote:

>Everything is commented out in my .../cvs/config (it's the default 'cause i
>didn't change anything)
>Any other ideas?

I just tried it for my self. I created a folder C:\usr\local\cvsroot using
Windows explorer and then from within Bash I did the following:

Administrator@BEDROOM:/home/Administrator$ export
CVSROOT=:local:/cygdrive/c/usr/local/cvsroot 
Administrator@BEDROOM:/home/Administrator$ cvs init
Administrator@BEDROOM:/home/Administrator$ cd bin
Administrator@BEDROOM:/home/Administrator/bin$ cvs import test me start  
Administrator@BEDROOM:/home/Administrator/bin$ cd /tmp     
Administrator@BEDROOM:/tmp$ cvs checkout test 
cvs checkout: Updating test
U test/backup.pl
U test/backup.sh
U test/fixperms.sh
Administrator@BEDROOM:/tmp$ cd test
Administrator@BEDROOM:/tmp/test$ ll
total 7
drwxrwxrwx    2 Administ None         4096 Nov 13 17:18 CVS
-rwxrwxrwx    1 Administ None          845 Nov 13 17:16 backup.pl
-rwxrwxrwx    1 Administ None          131 Nov 13 17:16 backup.sh
-rwxrwxrwx    1 Administ None          939 Nov 13 17:16 fixperms.sh

Final silly question, if your sandbox was previously pointing to your
repository at //c/usr/local/cvs have you edited your CVS/Root files to point
them at the new repository at /cygdrive/c/usr/local/cvs?

You could try recreating your CVS repository, maybe move what you currently
have out of the way, do the CVS init stuff and then move your repository
(but not CVSROOT directory) back.

Other than that, I'm out of ideas.

>Alexei
>
>----- Original Message -----
>From: "Mark Himsley" <[email-masked]>
>To: "?.?." <[email-masked]>
>Sent: Tuesday, November 13, 2001 7:45 PM
>Subject: Re: CVS and cygwin1.dll v1.3.4-4: Can not set CVSROOT to :local:
>repository now ?! ...
>
>
>> On Tue, 13 Nov 2001 19:07:31 +0300 you wrote:
>>
>> >If you look carefully at my message, then you will see that i've tried
>> >`:local:/cygdrive/c/usr/local/cvs' already. So?
>>
>> Sorry, I didn't notice that.
>>
>> So have you looked at /cygdrive/c/usr/local/cvs/config to see what the
>file
>> is correct, your message seems to indicate that there is a problem in it.
>>
>> > ' is missing '='ntax error in /cygdrive/c/usr/local/cvs/config: line '
>>
>> --
>> Mark Himsley
>> In Acton
>>

-- 
Mark Himsley
In Acton

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/